package com.mortals.xhx.module.news.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.news.model.NewsUpEntity;
/**
* 新闻点赞记录信息查询对象
*
* @author zxfei
* @date 2024-12-04
*/
public class NewsUpQuery extends NewsUpEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 新闻ID */
    private Long newsIdStart;

    /** 结束 新闻ID */
    private Long newsIdEnd;

    /** 增加 新闻ID */
    private Long newsIdIncrement;

    /** 新闻ID列表 */
    private List <Long> newsIdList;

    /** 新闻ID排除列表 */
    private List <Long> newsIdNotList;

    /** 开始 点赞人ID */
    private Long upIdStart;

    /** 结束 点赞人ID */
    private Long upIdEnd;

    /** 增加 点赞人ID */
    private Long upIdIncrement;

    /** 点赞人ID列表 */
    private List <Long> upIdList;

    /** 点赞人ID排除列表 */
    private List <Long> upIdNotList;

    /** 点赞人名称 */
    private List<String> upNameList;

    /** 点赞人名称排除列表 */
    private List <String> upNameNotList;
    /** 开始 累计分享次数 */
    private Integer sumUpStart;

    /** 结束 累计分享次数 */
    private Integer sumUpEnd;

    /** 增加 累计分享次数 */
    private Integer sumUpIncrement;

    /** 累计分享次数列表 */
    private List <Integer> sumUpList;

    /** 累计分享次数排除列表 */
    private List <Integer> sumUpNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 点赞时间 */
    private String upTimeStart;

    /** 结束 点赞时间 */
    private String upTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<NewsUpQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<NewsUpQuery> andConditionList;

    public NewsUpQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 新闻ID
    * @return newsIdStart
    */
    public Long getNewsIdStart(){
        return this.newsIdStart;
    }

    /**
    * 设置 开始 新闻ID
    * @param newsIdStart
    */
    public void setNewsIdStart(Long newsIdStart){
        this.newsIdStart = newsIdStart;
    }

    /**
    * 获取 结束 新闻ID
    * @return $newsIdEnd
    */
    public Long getNewsIdEnd(){
        return this.newsIdEnd;
    }

    /**
    * 设置 结束 新闻ID
    * @param newsIdEnd
    */
    public void setNewsIdEnd(Long newsIdEnd){
        this.newsIdEnd = newsIdEnd;
    }

    /**
    * 获取 增加 新闻ID
    * @return newsIdIncrement
    */
    public Long getNewsIdIncrement(){
        return this.newsIdIncrement;
    }

    /**
    * 设置 增加 新闻ID
    * @param newsIdIncrement
    */
    public void setNewsIdIncrement(Long newsIdIncrement){
        this.newsIdIncrement = newsIdIncrement;
    }

    /**
    * 获取 新闻ID
    * @return newsIdList
    */
    public List<Long> getNewsIdList(){
        return this.newsIdList;
    }

    /**
    * 设置 新闻ID
    * @param newsIdList
    */
    public void setNewsIdList(List<Long> newsIdList){
        this.newsIdList = newsIdList;
    }

    /**
    * 获取 新闻ID
    * @return newsIdNotList
    */
    public List<Long> getNewsIdNotList(){
        return this.newsIdNotList;
    }

    /**
    * 设置 新闻ID
    * @param newsIdNotList
    */
    public void setNewsIdNotList(List<Long> newsIdNotList){
        this.newsIdNotList = newsIdNotList;
    }


    /**
    * 获取 开始 点赞人ID
    * @return upIdStart
    */
    public Long getUpIdStart(){
        return this.upIdStart;
    }

    /**
    * 设置 开始 点赞人ID
    * @param upIdStart
    */
    public void setUpIdStart(Long upIdStart){
        this.upIdStart = upIdStart;
    }

    /**
    * 获取 结束 点赞人ID
    * @return $upIdEnd
    */
    public Long getUpIdEnd(){
        return this.upIdEnd;
    }

    /**
    * 设置 结束 点赞人ID
    * @param upIdEnd
    */
    public void setUpIdEnd(Long upIdEnd){
        this.upIdEnd = upIdEnd;
    }

    /**
    * 获取 增加 点赞人ID
    * @return upIdIncrement
    */
    public Long getUpIdIncrement(){
        return this.upIdIncrement;
    }

    /**
    * 设置 增加 点赞人ID
    * @param upIdIncrement
    */
    public void setUpIdIncrement(Long upIdIncrement){
        this.upIdIncrement = upIdIncrement;
    }

    /**
    * 获取 点赞人ID
    * @return upIdList
    */
    public List<Long> getUpIdList(){
        return this.upIdList;
    }

    /**
    * 设置 点赞人ID
    * @param upIdList
    */
    public void setUpIdList(List<Long> upIdList){
        this.upIdList = upIdList;
    }

    /**
    * 获取 点赞人ID
    * @return upIdNotList
    */
    public List<Long> getUpIdNotList(){
        return this.upIdNotList;
    }

    /**
    * 设置 点赞人ID
    * @param upIdNotList
    */
    public void setUpIdNotList(List<Long> upIdNotList){
        this.upIdNotList = upIdNotList;
    }


    /**
    * 获取 点赞人名称
    * @return upNameList
    */
    public List<String> getUpNameList(){
        return this.upNameList;
    }

    /**
    * 设置 点赞人名称
    * @param upNameList
    */
    public void setUpNameList(List<String> upNameList){
        this.upNameList = upNameList;
    }

    /**
    * 获取 点赞人名称
    * @return upNameNotList
    */
    public List<String> getUpNameNotList(){
        return this.upNameNotList;
    }

    /**
    * 设置 点赞人名称
    * @param upNameNotList
    */
    public void setUpNameNotList(List<String> upNameNotList){
        this.upNameNotList = upNameNotList;
    }

    /**
    * 获取 开始 累计分享次数
    * @return sumUpStart
    */
    public Integer getSumUpStart(){
        return this.sumUpStart;
    }

    /**
    * 设置 开始 累计分享次数
    * @param sumUpStart
    */
    public void setSumUpStart(Integer sumUpStart){
        this.sumUpStart = sumUpStart;
    }

    /**
    * 获取 结束 累计分享次数
    * @return $sumUpEnd
    */
    public Integer getSumUpEnd(){
        return this.sumUpEnd;
    }

    /**
    * 设置 结束 累计分享次数
    * @param sumUpEnd
    */
    public void setSumUpEnd(Integer sumUpEnd){
        this.sumUpEnd = sumUpEnd;
    }

    /**
    * 获取 增加 累计分享次数
    * @return sumUpIncrement
    */
    public Integer getSumUpIncrement(){
        return this.sumUpIncrement;
    }

    /**
    * 设置 增加 累计分享次数
    * @param sumUpIncrement
    */
    public void setSumUpIncrement(Integer sumUpIncrement){
        this.sumUpIncrement = sumUpIncrement;
    }

    /**
    * 获取 累计分享次数
    * @return sumUpList
    */
    public List<Integer> getSumUpList(){
        return this.sumUpList;
    }

    /**
    * 设置 累计分享次数
    * @param sumUpList
    */
    public void setSumUpList(List<Integer> sumUpList){
        this.sumUpList = sumUpList;
    }

    /**
    * 获取 累计分享次数
    * @return sumUpNotList
    */
    public List<Integer> getSumUpNotList(){
        return this.sumUpNotList;
    }

    /**
    * 设置 累计分享次数
    * @param sumUpNotList
    */
    public void setSumUpNotList(List<Integer> sumUpNotList){
        this.sumUpNotList = sumUpNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 点赞时间
    * @return upTimeStart
    */
    public String getUpTimeStart(){
        return this.upTimeStart;
    }

    /**
    * 设置 开始 点赞时间
    * @param upTimeStart
    */
    public void setUpTimeStart(String upTimeStart){
        this.upTimeStart = upTimeStart;
    }

    /**
    * 获取 结束 点赞时间
    * @return upTimeEnd
    */
    public String getUpTimeEnd(){
        return this.upTimeEnd;
    }

    /**
    * 设置 结束 点赞时间
    * @param upTimeEnd
    */
    public void setUpTimeEnd(String upTimeEnd){
        this.upTimeEnd = upTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public NewsUpQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public NewsUpQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public NewsUpQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public NewsUpQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public NewsUpQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public NewsUpQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  新闻ID
    * @param newsId
    */
    public NewsUpQuery newsId(Long newsId){
	    setNewsId(newsId);
		return this;
    }
	
	 /**
    * 设置 开始 新闻ID
    * @param newsIdStart
    */
    public NewsUpQuery newsIdStart(Long newsIdStart){
		this.newsIdStart = newsIdStart;
		return this;
    }

    /**
    * 设置 结束 新闻ID
    * @param newsIdEnd
    */
    public NewsUpQuery newsIdEnd(Long newsIdEnd){
		this.newsIdEnd = newsIdEnd;
		return this;
    }

    /**
    * 设置 增加 新闻ID
    * @param newsIdIncrement
    */
    public NewsUpQuery newsIdIncrement(Long newsIdIncrement){
		this.newsIdIncrement = newsIdIncrement;
		return this;
    }

    /**
    * 设置 新闻ID
    * @param newsIdList
    */
    public NewsUpQuery newsIdList(List<Long> newsIdList){
        this.newsIdList = newsIdList;
		return this;
        }

        /**
        * 设置 新闻ID
        * @param newsIdNotList
        */
        public NewsUpQuery newsIdNotList(List<Long> newsIdNotList){
        this.newsIdNotList = newsIdNotList;
        return this;
        }

    /**
    * 设置  点赞人ID
    * @param upId
    */
    public NewsUpQuery upId(Long upId){
	    setUpId(upId);
		return this;
    }
	
	 /**
    * 设置 开始 点赞人ID
    * @param upIdStart
    */
    public NewsUpQuery upIdStart(Long upIdStart){
		this.upIdStart = upIdStart;
		return this;
    }

    /**
    * 设置 结束 点赞人ID
    * @param upIdEnd
    */
    public NewsUpQuery upIdEnd(Long upIdEnd){
		this.upIdEnd = upIdEnd;
		return this;
    }

    /**
    * 设置 增加 点赞人ID
    * @param upIdIncrement
    */
    public NewsUpQuery upIdIncrement(Long upIdIncrement){
		this.upIdIncrement = upIdIncrement;
		return this;
    }

    /**
    * 设置 点赞人ID
    * @param upIdList
    */
    public NewsUpQuery upIdList(List<Long> upIdList){
        this.upIdList = upIdList;
		return this;
        }

        /**
        * 设置 点赞人ID
        * @param upIdNotList
        */
        public NewsUpQuery upIdNotList(List<Long> upIdNotList){
        this.upIdNotList = upIdNotList;
        return this;
        }


	/**
    * 设置 点赞人名称
    * @param upName
    */
    public NewsUpQuery upName(String upName){
        setUpName(upName);
		return this;
    }

    /**
    * 设置 点赞人名称
    * @param upNameList
    */
    public NewsUpQuery upNameList(List<String> upNameList){
        this.upNameList = upNameList;
		return this;
    }

    /**
    * 设置  累计分享次数
    * @param sumUp
    */
    public NewsUpQuery sumUp(Integer sumUp){
	    setSumUp(sumUp);
		return this;
    }
	
	 /**
    * 设置 开始 累计分享次数
    * @param sumUpStart
    */
    public NewsUpQuery sumUpStart(Integer sumUpStart){
		this.sumUpStart = sumUpStart;
		return this;
    }

    /**
    * 设置 结束 累计分享次数
    * @param sumUpEnd
    */
    public NewsUpQuery sumUpEnd(Integer sumUpEnd){
		this.sumUpEnd = sumUpEnd;
		return this;
    }

    /**
    * 设置 增加 累计分享次数
    * @param sumUpIncrement
    */
    public NewsUpQuery sumUpIncrement(Integer sumUpIncrement){
		this.sumUpIncrement = sumUpIncrement;
		return this;
    }

    /**
    * 设置 累计分享次数
    * @param sumUpList
    */
    public NewsUpQuery sumUpList(List<Integer> sumUpList){
        this.sumUpList = sumUpList;
		return this;
        }

        /**
        * 设置 累计分享次数
        * @param sumUpNotList
        */
        public NewsUpQuery sumUpNotList(List<Integer> sumUpNotList){
        this.sumUpNotList = sumUpNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public NewsUpQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public NewsUpQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public NewsUpQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public NewsUpQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public NewsUpQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public NewsUpQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public NewsUpQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public NewsUpQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public NewsUpQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public NewsUpQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public NewsUpQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public NewsUpQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public NewsUpQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public NewsUpQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<NewsUpQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<NewsUpQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<NewsUpQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<NewsUpQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}